@echo off

echo .

if     "%1" == "" goto NO_SERVER
if NOT "%1" == "" set SERVER=%1

if     "%2" == "" set SOURCE=A
if NOT "%2" == "" set SOURCE=%2

cls
echo .
echo NOTE: This installation program has been modified to simplify
echo       installation and does not exactly match the documentation 
echo       that came with these diskettes.  Please read the README file
echo       on the OS2UTIL-1 diskette.
echo Ŀ
echo              NetWare Utilities for OS/2 Installation               
echo                                                                    
echo  We are ready to install the NetWare Utilities for OS/2            
echo  from the %SOURCE%: drive to the following directories:                  
echo          SYS:LOGIN\OS2   (OS/2 login directory)                   
echo          SYS:SYSTEM\OS2  (OS/2 system directory)                  
echo          SYS:PUBLIC\OS2  (OS/2 public directory)                  
echo                                                                    
echo   To install the utilities to other drives, abort this             
echo   job and include the source drive in the command line.           
echo                                                                   
echo   USAGE:                                                          
echo      SERVINST server_name [source_drive]                           
echo                                                                    
echo 

set LOGIN_DIR=\\%SERVER%\SYS\LOGIN\OS2
set SYSTEM_DIR=\\%SERVER%\SYS\SYSTEM\OS2
set PUBLIC_DIR=\\%SERVER%\SYS\PUBLIC\OS2

rem Check to see we have SUPERVISOR rights and are logged in
	dir \\%SERVER%\SYS\SYSTEM 1> NUL 2> NUL
	if errorlevel 1 goto NOT_SUPERVISOR

rem Create dirs
	md %LOGIN_DIR%  2> NUL
	md %SYSTEM_DIR% 2> NUL
	md %PUBLIC_DIR% 2> NUL

echo .

:CP_DISK1
	echo Make sure the OS2UTIL-1 diskette is in %SOURCE%:
	pause

	rem Verify OS2UTIL-1 is in drive %SOURCE%:
		if NOT exist %SOURCE%:\LOGIN\ATTACH.EXE goto CP_DISK1

cls
rem Copy ATTACH, LOGIN, MAP, and SLIST to LOGIN\OS2
	echo Copying %SOURCE%:\LOGIN files to %SERVER%\SYS:LOGIN\OS2
	copy %SOURCE%:\LOGIN\*.*     %LOGIN_DIR%   /v
	if errorlevel 1 goto COPY_ERROR

rem Copy SYSTEM files
	echo Copying %SOURCE%:\SYSTEM files to %SERVER%\SYS:SYSTEM\OS2
	copy %SOURCE%:\SYSTEM\*.*     %SYSTEM_DIR% /v
	if errorlevel 1 goto COPY_ERROR

rem Copy PUBLIC files
	echo Copying %SOURCE%:\LOGIN and %SOURCE%:\PUBLIC files to %SERVER%\SYS:PUBLIC\OS2
	copy %SOURCE%:\LOGIN\*.*     %PUBLIC_DIR%  /v
	if errorlevel 1 goto COPY_ERROR
	copy %SOURCE%:\PUBLIC\*.*    %PUBLIC_DIR%  /v
	if errorlevel 1 goto COPY_ERROR

echo .
echo Finished copying OS2UTIL-1
echo .

:CP_DISK2
	echo Make sure the OS2UTIL-2 diskette is in %SOURCE%:
	pause

	rem Verify OS2UTIL-2 is in drive %SOURCE%:
		if NOT exist %SOURCE%:\PUBLIC\ALLOW.EXE goto CP_DISK2

cls
rem Copy PUBLIC files
	echo Copying %SOURCE%:\PUBLIC files to %SERVER%\SYS:PUBLIC\OS2
	copy %SOURCE%:\PUBLIC\*.*    %PUBLIC_DIR%  /v
	if errorlevel 1 goto COPY_ERROR

echo .
echo Finished copying OS2UTIL-2
echo .

:CP_DISK3
	echo Make sure the OS2UTIL-3 diskette is in %SOURCE%:
	pause

	rem Verify OS2UTIL-3 is in drive %SOURCE%:
		if NOT exist %SOURCE%:\PUBLIC\RIGHTS.EXE goto CP_DISK3

cls
rem Copy PUBLIC files
	echo Copying %SOURCE%:\PUBLIC files to %SERVER%\SYS:PUBLIC\OS2
	copy %SOURCE%:\PUBLIC\*.*    %PUBLIC_DIR%  /v
	if errorlevel 1 goto COPY_ERROR

echo .
echo Finished copying OS2UTIL-3
echo .

goto SUCCESS

rem *************************************************************************

:NO_SERVER
	echo ERROR -- Server name missing.
	echo       Please specify the name of the server where the utilities are
	echo       being installed.
	goto USAGE

:NOT_SUPERVISOR
	echo ERROR -- Cannot access the target directory.
	echo       Either you do not have Supervisor rights or you are not logged in.
	echo       Please check both conditions and re-run this utility.
	goto DONE

:COPY_ERROR
	echo ERROR -- The copy could not be completed.
	echo       Check to see that you have rights to the target directory and that
	echo       any previous copies of the utilites are not flagged Read only (Ro).
	goto DONE

:USAGE
	echo .
	echo USAGE: SERVINST server_name [source_drive]
	echo .
	echo    server_name  -- name of the server where the utilities are being installed
	echo    source_drive -- source drive of the utility diskettes, default is drive A
	goto DONE

:SUCCESS
	echo Flagging all files to Read only.
	attrib +r %LOGIN_DIR%\*.*
	attrib +r %SYSTEM_DIR%\*.*
	attrib +r %PUBLIC_DIR%\*.*
	echo .
	echo Mapping P: to %SERVER%\SYS:PUBLIC\OS2
	%PUBLIC_DIR%\MAP P:=%PUBLIC_DIR%
	P:
	echo .
	echo The utilities were copied successfully and flagged Read only (Ro).
	echo .
	echo Now run SYSCON to add "MAP L:=SYS:PUBLIC" to the OS/2 system login script.
	echo The installation will then be complete.

:DONE
	echo .
	set LOGIN_DIR=
	set SYSTEM_DIR=
	set PUBLIC_DIR=
	set SERVER=
	set SOURCE=

